using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using TopWinCMS.Common;
using TopWinCMS.BLL;
using TopWinCMS.Model;
namespace TopWinCMS.WebUI.Admin.FriendLink
{
    public partial class FriendLinkCheck : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                RightsCheck.CheckWorkPower("F_2");
                GV_List.EmptyDataTemplate = TopWinCMS.WebFactory.PageBase.GetTemplate(this);

                new BLL.FriendLinkManage().BindList(GV_List);
            }

        }

        protected void BT_OK_Click(object sender, EventArgs e)
        {
            List<FriendLinkInfo> list = new List<FriendLinkInfo>();

            FriendLinkInfo model = new FriendLinkInfo();
            model.ID = "1";
            model.FL_Title = new Uri(TB_URL.Text).Host;
            model.FL_URL = TB_URL.Text;

            list.Add(model);

            GV_List.DataSource = list;
            GV_List.DataBind();
        }


    }
}